## rust-crypto-hash 0.3.4

=== Makefile ===
CARGO ?= cargo
CARGO_BUILD_TEST = $(CARGO) test --no-run
KCOV ?= kcov
TEST_APP = debug/crypto_hash-*.exe
WIN_TARGET = x86_64-pc-windows-gnu

build-test:
	$(CARGO_BUILD_TEST)

check-i686:
	PKG_CONFIG_LIBDIR=/usr/lib/i386-linux-gnu/pkgconfig \
		PKG_CONFIG_ALLOW_CROSS=1 \
		$(CARGO) test --target i686-unknown-linux-gnu --verbose

check-wine64:
	$(CARGO_BUILD_TEST) --target $(WIN_TARGET)
	WINEPREFIX=$(HOME)/.local/share/wineprefixes/wine64 wine64 target/$(WIN_TARGET)/$(TEST_APP)

cov: build-test
	$(KCOV) --exclude-pattern=/.multirust,test.rs target/cov target/$(TEST_APP)

debug: build-test
	rust-gdb target/$(TEST_APP)

fmt:
	$(CARGO) fmt

lint:
	$(CARGO) +nightly clippy -- --allow clippy::pedantic

## rust-crypto-hash 0.3.1

=== debian/changelog ===
rust-crypto-hash (0.3.1-1) unstable; urgency=medium

  * Package crypto-hash 0.3.1 from crates.io using debcargo 2.2.5

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Aug 2018 06:40:28 -0700

=== debian/control ===
Source: rust-crypto-hash
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 6),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-commoncrypto-0.2+default-dev <!nocheck>,
 librust-hex-0.3+default-dev <!nocheck>,
 librust-openssl-0.10+default-dev <!nocheck>,
 librust-winapi-0.3+default-dev <!nocheck>,
 librust-winapi-0.3+minwindef-dev <!nocheck>,
 librust-winapi-0.3+wincrypt-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders: Ximin Luo <infinity0@debian.org>
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/crypto-hash]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/crypto-hash

Package: librust-crypto-hash-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-commoncrypto-0.2+default-dev,
 librust-hex-0.3+default-dev,
 librust-openssl-0.10+default-dev,
 librust-winapi-0.3+default-dev,
 librust-winapi-0.3+minwindef-dev,
 librust-winapi-0.3+wincrypt-dev
Provides:
 librust-crypto-hash+default-dev (= ${binary:Version}),
 librust-crypto-hash-0-dev (= ${binary:Version}),
 librust-crypto-hash-0+default-dev (= ${binary:Version}),
 librust-crypto-hash-0.3-dev (= ${binary:Version}),
 librust-crypto-hash-0.3+default-dev (= ${binary:Version}),
 librust-crypto-hash-0.3.1-dev (= ${binary:Version}),
 librust-crypto-hash-0.3.1+default-dev (= ${binary:Version})
Description: Wrapper for OS-level cryptographic hash functions - Rust source code
 This package contains the source for the Rust crypto-hash crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/crypto-hash-$1\.tar\.gz/g\ 
 https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/crypto-hash .*/crates/crypto-hash/@ANY_VERSION@/download

## rust-crypto-hash 0.3.4

=== debian/changelog ===
rust-crypto-hash (0.3.4-1) unstable; urgency=medium

  * Package crypto-hash 0.3.4 from crates.io using debcargo 2.4.0

 -- Ximin Luo <infinity0@debian.org>  Tue, 31 Dec 2019 02:46:01 +0000

=== debian/control ===
Source: rust-crypto-hash
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-commoncrypto-0.2+default-dev <!nocheck>,
 librust-hex-0.4+default-dev <!nocheck>,
 librust-openssl-0.10+default-dev <!nocheck>,
 librust-winapi-0.3+default-dev <!nocheck>,
 librust-winapi-0.3+minwindef-dev <!nocheck>,
 librust-winapi-0.3+wincrypt-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/crypto-hash]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/crypto-hash

Package: librust-crypto-hash-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-commoncrypto-0.2+default-dev,
 librust-hex-0.4+default-dev,
 librust-openssl-0.10+default-dev,
 librust-winapi-0.3+default-dev,
 librust-winapi-0.3+minwindef-dev,
 librust-winapi-0.3+wincrypt-dev
Provides:
 librust-crypto-hash+default-dev (= ${binary:Version}),
 librust-crypto-hash-0-dev (= ${binary:Version}),
 librust-crypto-hash-0+default-dev (= ${binary:Version}),
 librust-crypto-hash-0.3-dev (= ${binary:Version}),
 librust-crypto-hash-0.3+default-dev (= ${binary:Version}),
 librust-crypto-hash-0.3.4-dev (= ${binary:Version}),
 librust-crypto-hash-0.3.4+default-dev (= ${binary:Version})
Description: Wrapper for OS-level cryptographic hash functions - Rust source code
 This package contains the source for the Rust crypto-hash crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test crypto-hash 0.3.4 --all-targets --all-features
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test crypto-hash 0.3.4 --all-targets --no-default-features
Depends: dh-cargo (>= 18), librust-crypto-hash-dev
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/crypto-hash-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/crypto-hash .*/crates/crypto-hash/@ANY_VERSION@/download
